{% extends 'base.html' %}

{% block contenido %}
<div class="container">
    <br>
    <center>
      <h3>
        {{object.nombreProducto}}
      </h3>
    </center>

    <br>

    <div class="row">
        <table class="highlight">
            <thead>
                <tr>
                    <th>Imagen</th>
                    <th>Nombre</th>
                    <th style="text-align: center;">Eliminar</th>
                </tr>
            </thead>
            <tbody>
                {% for imagen in object.producto_imagenes.all %}
                <tr>
                    <td>
                        <img src="/media/{{imagen.imagen}}" style="max-width: 100px; width: 100px;">
                    </td>
                    <td>
                        {{imagen.imagen}}
                    </td>
                    <td>
                        <form method="POST" action="{% url 'eliminar_imagen' imagen.pk %}">
                            {% csrf_token %}
                            <center>
                                <button type="submit" class="btn waves-effect waves-light red">
                                <i class="material-icons">delete_forever</i>
                                </button>
                            </center>
                        </form>
                    </td>
                </tr>
                {% empty %}
                <tr>
                    <td>
                        No hay imagenes agregadas
                    </td>
                </tr>
                {% endfor %} 
            </tbody>
        </table>
    </div>  
    
    <div class="row">
        <form action="{% url 'agregar_imagen' %}" method="POST" enctype="multipart/form-data">
            {% csrf_token %}
        
            <div class="file-field input-field col s12 m12 l9">
                <div class="btn">
                <span>Imagen</span>
                <input name="imagen" type="file" accept="image/*">
                </div>
                <div class="file-path-wrapper">
                <input name="imagen" class="file-path validate" type="text">
                </div>
            </div>
            <input type="hidden" name="producto" value="{{object.pk}}">
            <div class="col s12 m12 l3">
                <center>
                    <button class="btn-large waves-effect waves-light" type="submit">
                        Agregar
                    </button>
                </center>
            </div>
        </form>
    </div>
    

<br><br>
</div>
{% endblock contenido %}